Page MenuHomePhabricator

Make Wikimedia CI run PHP in either PHP 7.0+ or HHVM
Closed, ResolvedPublic

Event Timeline

Jdforrester-WMF created this task.
Legoktm added a subscriber: Legoktm.

So I think the last thing to do is blacklist php55 jobs from running against master and REL1_31 branches?

Change 427421 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Create mediawiki-core-php70lint job

https://gerrit.wikimedia.org/r/427421

Change 427422 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Add mwgate-php70lint

https://gerrit.wikimedia.org/r/427422

Change 427423 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Don't trigger PHP 5.5 jobs on REL1_31

https://gerrit.wikimedia.org/r/427423

Change 427421 merged by jenkins-bot:
[integration/config@master] Create mediawiki-core-php70lint job

https://gerrit.wikimedia.org/r/427421

Change 427422 merged by jenkins-bot:
[integration/config@master] Add mwgate-php70lint

https://gerrit.wikimedia.org/r/427422

Change 427423 merged by jenkins-bot:
[integration/config@master] Don't trigger PHP 5.5 jobs on REL1_31

https://gerrit.wikimedia.org/r/427423

Legoktm claimed this task.

Should be all good now!